title1 'Remission times for AML patients';
data;
   input surv cens group;
   datalines;
  5 1 0
  5 1 0
  8 1 0
  8 1 0
 12 1 0
 16 0 0
 23 1 0
 27 1 0
 30 1 0
 33 1 0
 43 1 0
 45 1 0
  9 1 1
 13 1 1
 13 0 1
 18 1 1
 23 1 1
 28 0 1
 31 1 1
 34 1 1
 45 0 1
 48 1 1
161 0 1
run; 
proc print;   /* We are in this habit by now */ 
run; 
title2 'Compare groups using log-rank test';
proc 
lifetest plots =(s); /* 's' means plot the survival curve */
   time surv * cens(0);
   strata group;    /* Compare the survival curves of two groups */
run;
title2 'Compare the groups using proportional hazards';
proc phreg;
   model surv * cens(0) = group;
   output out=diags xbeta=xb resmart=mart resdev=dev; 
run;
title2 'Proportional hazards regression residuals';
proc print data=diags;
run;
data pc;  /* jitter the group membership */
   set diags;
   jitg=group+normal(0)/10;
run;
proc gplot data=pc;
   plot ( mart dev ) * jitg;
run;
quit;

