options linesize = 65 pagesize=50 center;

title1 'Analysis of variance for the Anscombe quartet ';

data a1;
   input x y @@;
   datalines;
 10    8.04   8    6.95  13    7.58   9    8.81 
 11    8.33  14    9.96   6    7.24   4    4.26
 12   10.84   7    4.82   5    5.68 
run;

data a2;
   input x y @@;
   datalines;
 10    9.14   8    8.14  13    8.74   9    8.77 
 11    9.26  14    8.10   6    6.13   4    3.10 
 12    9.13   7    7.26   5    4.74  
run;

data a3;
   input x y @@;
   datalines;
 10   7.46   8   6.77  13  12.74   9   7.11 
 11   7.81  14   8.84   6   6.08   4   5.39 
 12   8.15   7   6.42   5   5.73 
run;

data a4;
   input x y @@;
   datalines;
 8   6.58  8   5.76  8   7.71  8   8.84 
 8   8.47  8   7.04  8   5.25  8   5.56 
 8   7.91  8   6.89  19  12.50 
run;

title 'A1'; proc gplot data=a1; plot x*y;run;
title 'A2'; proc gplot data=a2; plot y*x; run;
title 'A3'; proc gplot data=a3; plot y*x; run;
title 'A4'; proc gplot data=a4; plot y*x; run;

title2 'Raw data';
proc print data=regn; /* Always print everything after a data step */
run;   

proc means data=regn;
run;

proc univariate data=regn;
run;

title2 'Plot raw data';
proc plot data=regn;
   plot y * x;
run;

title2 'Proc REG output: Fit the linear model y=a+bx+error';
proc reg data=regn;
   model y=x / p r;                          /* specify the model */
   output residual=res                   /* capture the residuals */
         predicted=fitted;
run;

title2 'Output from REG';
proc print;
run;

goptions;
   title 'Plot of observed and fitted values';
   symbol1  value=dot
            interpol=none; 
   symbol2  value=none
            interpol=join;

title2 'Plot of observed and fitted values';
proc gplot;
   plot (y fitted) * x / overlay;   /* both plots in same graph */
run;
quit;

