options linesize=88 center pagesize=60 number;
/*
       Multiple linear regression: Maximum January
        temperatures in U.S. cities

       Feel free to modify this program
*/

title1 'Max Jan Temp: Lat, Long, and Altitude for Major US Cities';
data cold;
   infile 'C:\Documents and Settings\DZ\Desktop\Projects\Linear Models\Data\hot.dat';
   input
      maxt  lat  long  alt  city $ 18-35;

   /* You may want to rescale variables and create new ones */

   label
     maxt = 'maximum January temperature'
     lat  = 'degrees latitude'
     long = 'degrees longitude'
     alt  = 'altitude above sea level - ft'
     city = 'city name' ;
run;

proc print data=cold;
run;

proc gplot data=cold;
   title2 'A map (?) of the major U.S. cities';
   plot long * lat;
run;

proc gplot data=cold;
   title2 'A bubble plot of altitude';
    bubble lat * long = alt;
run;

proc reg data=cold;
   title2 'Explain max Jan temperature';
   model maxt = lat long alt;   /* this specifies y and x variables */
   output residual = resid;         /* we save the residuals here */
run;

proc gplot data=cold;
   title2 'Bubble plot residuals by longitude';
   bubble resid*long = alt;  /* greater altitude: larger bubbles */
run;

data north;
   set cold;
   if lat>38 then DC=1;  else DC=0;
   label DC = 'North of Washington?';
run;
proc print data=north;
   var lat DC maxt city;
run;
proc reg data=north;
   model maxt = DC;
run;
proc ttest data=north;
  var maxt;
  class DC;
run;

data three;
   set north;
   if alt<100 then sea=1; else sea=0;
   if alt<1000 and alt >=100 then mid=1; else mid=0;
   if alt>=1000 then high=1;  else high=0;

   hinorth = DC*high;
   himid = DC*mid;
   seanorth= DC*sea;
   sum=sea + mid + high;
run;
proc print data=three;
   var alt sea mid high sum hinorth himid seanorth;
run;
proc reg data=three;
   model maxt = DC high sea hinorth seanorth;
run;

 quit;




