options nocenter;

title1 'generate data for table 4.4';
data one;
do j=1 to 50;
   x=j/10;
   y=5 - 0.5*(x-4)**2+ 0.3*rannor(0.);
   output;
end;
run;

title2 'data one, x,y';
proc print noobs data=one;
   var x y;
run;

proc reg data=one;
   model y=x;
   output out=oneout
      r=oneres
	  p=onehat;
run;

title2 'data one: x, residual';
proc print noobs data=oneout;
   var x oneres;
run;

proc gplot data=one;
plot y*x;
run;
proc gplot data=oneout;
   plot oneres * x;
run;

/* ------------------------------------------------------------------------------- */

title2 'Second example: non constant variance';
data two;
   set one;
   y= 4.5 - 0.5*x + (x*x/50.0)*rannor(0.);
run;
proc gplot data=two;
   plot y*x;
run;
proc print data=two noobs;
   var x y;
run;
proc reg data=two;
   model y=x;
   output out=twoout
      r=twores
	  p=twohat;
run;
proc gplot data=twoout;
   plot twores*x;
run;
proc print noobs data=twoout;
   var x twores;
run;

/* --------------------------------------------------------------------------------  */

title2 'Example 3: outlier';
data three;
   set one;
   y = x + rannor(0.)/5;
   if x=2 then y=4.75;
run;
proc gplot data=three;
   plot y*x;
run;
proc print noobs data=three;
   var x y;
run;
proc reg data=three;
   model y=x;
   output out=threeout
      r=threeres
	  p=threehat;
run;
proc gplot data=threeout;
   plot threeres * x;
run;
proc print noobs data=threeout;
   var x threeres;
run;


/* ------------------------------------------------------------------------------- */


title2 'Example 4:  Influence';
data four;
   set one;
   ix=x;
   iy=2*ix + rannor(0)/5;
   if ix>4.75 then do;
      ix=x+2.5;
	  iy= 2.25*ix + rannor(0)/5;
   end;
run;
proc print noobs data=four;
   var ix iy;
run;
proc gplot data=four;
   plot iy*ix;
run;
proc reg data=four;
   model iy=ix;
   output out=fourout
      r=fourres
	  p=fourhat;
run;
proc gplot data=fourout;
   plot fourres * ix;
run;
proc print noobs data=fourout;
   var ix fourres;
run;
run;
quit;

