title1 'Vineland social Maturity Scale for two groups of mentally deficient children';
data Vineland;
   input VS group $ @@;
   if group='A' then jgroup = normal(0)/10;  /* create a jittered group variable */ 
                else jgroup = 1+normal(0)/10; 
datalines;
56 A 43 A 30 A 97 A 67 A 24 A 76 A 49 A 46 A 29 A 46 A
83 A 93 A 38 A 25 A 44 A 66 A 71 A 54 A 20 A 25 A
90 M 53 M 32 M 44 M 47 M 42 M 58 M 16 M
49 M 54 M 81 M 59 M 35 M 81 M 41 M 24 M 41 M 61 M 31 M 20 M
run;
title2 'Echo the data';
proc print;
run;
title2 'Boxplots of the two groups';
proc boxplot;
   plot VS * group;
run;
title2 'Jittered plot of the two groups data';
proc gplot;
   plot VS * jgroup;
run;
title2 'Compare means and other summary statistics';
proc means;
   var VS;
   by group;
run;
title2 't-test and nonparametric comparisons of the two groups';
proc npar1way;
   var VS;
   class group;
run;
quit;



