title1 'Arsenic in drinking water and toenail';
data arsenic;
   input age sex drink cook arwater artoe;
/*Variable names are:
	AGE:     Age (years)
	SEX:     Sex of person ( 1=M, 2=F)
	DRINK:   Household well used for drinking (1=<1/4  2=1/4  3=1/2  4=3/4  5=>3/4)
	COOK:    Household well used for cooking  (1=<1/4  2=1/4  3=1/2  4=3/4  5=>3/4)
	ARWATER: Arsenic in water (ppm)
	ARNAILS: Arsenic in toenails (ppm)
*/
datalines;
	  44          2          5          5     .00087       .119  
       45          2          4          5     .00021       .118  
       44          1          5          5          0       .099  
       66          2          3          5     .00115       .118  
       37          1          2          5          0       .277  
       45          2          5          5          0       .358  
       47          1          5          5     .00013        .08  
       38          2          4          5     .00069       .158  
       41          2          3          2     .00039        .31  
       49          2          4          5          0       .105  
       72          2          5          5          0       .073  
       45          2          1          5       .046       .832  
       53          1          5          5      .0194       .517  
       86          2          5          5       .137      2.252  
        8          2          5          5      .0214       .851  
       32          2          5          5      .0175       .269  
       44          1          5          5      .0764       .433  
       63          2          5          5          0       .141  
       42          1          5          5      .0165       .275  
       62          1          5          5     .00012       .135  
       36          1          5          5      .0041       .175  
run;
proc print;
run;
proc reg;
  model artoe = arwater/ p r i;
        output residual=res predicted=fitted cookd=cook;
run;
proc print; /* print residuals and regression diagnostics */
run;
proc gplot;
   plot res*fitted; /* Plot residuals and fitted values */
   plot res*cook;   /* Plot residuals and influence */ 
run;
quit;

title2 'A model with a zero intercept';
proc reg;
   model artoe = arwater / noint;
run;
quit;
