options linesize = 65 pagesize=50 center;

title1 'Data on low birth weight infants';
data regn;
   infile 'C:\Documents and Settings\DZ\Desktop\Projects\Linear Models\Data\birthwt.dat';
   input headcirc  length  gestage  birthwt  momage  toxemia;
   label
      headcirc = 'head circumference'
	  gestage  = 'gestational age'
	  birthwt  = 'birth weight'
	  momage   = 'mother''s age'
	  toxemia  = 'indication of toxemia';
run;

proc print; /* Always print out everything after the data step */
run;

proc reg;
   model birthwt = length;
run;

title2 'Selecting the best of many possible regression models';
proc reg;
   model birthwt =  headcirc  length  gestage  momage  toxemia
         / selection=cp adjrsq r best= 5;
run;

title2 'Forward stepwise regression method';
proc reg;
   model birthwt =  headcirc  length  gestage  momage  toxemia
         / selection=f;
run;

title2 'Backward stepwise regression method';
proc reg;
   model birthwt =  headcirc  length  gestage  momage  toxemia
         / selection=b;
run;

title2 'Partial regression plots and influence';
proc reg;
   model birthwt =  headcirc  length  gestage  momage  toxemia
         / partial influence;
run;


quit;

