/*
 Density determined from underwater weighing
 Percent body fat from Siri's (1956) equation
 Age (years)
 Weight (lbs)
 Height (inches)
 Neck circumference (cm)
 Chest circumference (cm)
 Abdomen 2 circumference (cm)
 Hip circumference (cm)
 Thigh circumference (cm)
 Knee circumference (cm)
 Ankle circumference (cm)
 Biceps (extended) circumference (cm)
 Forearm circumference (cm)
 Wrist circumference (cm)
*/

title1 'Percent bodyfat explained using other physical variables';
 data body;
    infile 'C:\Documents and Settings\DZ\Desktop\Projects\Linear Models\Data\bodyfat.dat';
	input density pctfat age wt ht neck chest abdomen hip thigh 
       knee ankle bicep forearm wrist;
run;
proc print; run;
proc means; run;
proc reg;
   model pctfat = age wt ht neck chest abdomen hip thigh 
       knee ankle bicep forearm wrist  / p r i;
   output residual=res predicted=fitted cookd=cook;
run;

proc sort;
   by cook;
run;
title2 'Two highly influential observations';
proc print;
   var cook res age wt ht neck chest abdomen hip thigh 
       knee ankle bicep forearm wrist;
   where ankle > 28;
run;
title2 ' ';

proc gplot;
   plot res*fitted;
   plot cook*res;
   plot cook * ankle;
run;

proc reg;
   model pctfat = age wt ht neck chest abdomen hip thigh 
       knee ankle bicep forearm wrist  / selection=cp jp adjrsq best=20;
run;

quit;
