title1 'Nurses wearing gloves during a medical procedure';
data glove;
   infile 'glove.txt'
        dlm='09'x;                       /* tab delimited data */
   input period observed gloved experience;
   ungloved=observed-gloved;             /* number of ungloved procedures */
   pre=0;  if period>1 then pre=1;       /* indicator of pre- and post- training */
   yexp=0; if experience >5 then yexp=1; /* indicator for 5 years of experience */
run;

proc print data=glove;
run;

title2 'Marginal analysis: Pre- and post- rates of glove use';
proc logistic data=glove;
   model gloved / observed = pre experience;
run;

title2 'Was experience related to observed or performed number of procedures?';
proc reg data=glove;
   model observed = yexp;
run;
quit;
