 options linesize=78 center pagesize=60 number;

/*

       Multiple linear regression: Maximum January
        temperatures in U.S. cities

       Feel free to modify this program

*/

title1 'Max Jan Temp: Lat, Long, and Altitude for Major US Cities';

data cold;

   infile 'C:\Documents and Settings\DZ\Desktop\Projects\Linear Models\Data\hot.dat';

   input
      maxt  lat  long  alt  city $ 18-35;
   longe=180-long;
   label
     maxt = 'maximum January temperature'
     lat  = 'degrees latitude'
     long = 'degrees longitude'
	 longe= 'longitude east'
     alt  = 'altitude above sea level - ft'
     city = 'city name' ;
run;

proc print data=cold;  /* always do this to check */
run;
proc reg data=cold;
   title2 'Explain max Jan temperature';
   model maxt = lat long alt / influence partial p r;
   ods output OutputStatistics = diag;
run;
title2  'Newly created dataset';
proc print data=diag;
run;

data combo;  /* merge original data with diagnostic dataset */
  set cold; 
  set diag;
  label DFFITS = 'DFFITS';  /* change confusing name */
  merge;
  drop model dependent observation;  /* omit these variables */
run;
title2 'Combined datasets';
proc print data=combo;
run;
proc means data=combo; run;

proc gplot data=combo;
   plot CooksD * CovRatio;
   plot DFFITS * DFB_alt;
   plot CovRatio * DFFITS;
run;
quit;
