title1 'Lottery winners in towns near New Haven';

options linesize=85;
data lottery;
   input name $ 1-14 winners pop area mill books;
   label
      winners = '# of major lottery winners'
      pop     = 'population in thousands'
	  area    = 'area in sq miles'
	  mill    = 'mill rate for property taxes'
	  books   = 'number of books per student'
   ; 
   datalines;
Ansonia        6   17.9    6.2   28.9   16.4
Branford      11   28.0   27.9   22.6   18.0
Cheshire       6   26.2   33.0   27.1   21.0
Clinton        2   12.8   17.2   27.9   20.5
Derby          6   12.0    5.3   29.6   14.8
East Haven     9   26.5   12.6   37.1   13.5
Guilford       6   20.3   47.7   28.6   30.9
Hamden         9   52.0   33.0   34.1   17.4
Madison        5   16.0   36.3   22.3   24.2
Milford       10   49.5   23.5   30.8   19.7
N. Branford    2   13.1   26.8   26.9   14.0
North Haven   12   21.6   21.0   23.4   23.2
Old Saybrook   1    9.3   18.3   15.3   23.4
Orange         9   12.5   17.6   23.8   29.7
Oxford         3    9.1   33.0   29.0   15.3
Seymour        1   14.5   14.7   40.5   18.7
Shelton        7   36.0   31.4   21.6   17.3
Trumbull      14   33.0   23.5   24.1   21.6
West Haven    12   54.0   10.6   41.4   17.2
run;

proc print;   /* Always check to see if data step is OK */  
run;

proc genmod data=lottery;
   model winners = area pop / dist=Poisson obstats;
   ods output obstats=fitted;
run;

data fitted2;
set fitted;
drop Observation;
run;

title2 'Fitted information from proc genmod';
proc print data=fitted2;  
run;

title2 'Fit an offset for mean proportional to population';
data propto;
   set lottery;
   logpop = log(pop);
run;

proc genmod data=propto;
   model winners = area mill / dist=Poisson obstats offset=logpop;
run;
