options linesize=75 center pagesize=50;

title1 'Prostate cancer example';
data;
   infile 'nodal.dat'; /* you may need to change this line */
   input  xray stage grade age acid node;
   obs = _N_;
   label
      xray   =   'x-ray reading'
      stage  =   'size via palpation'
      grade  =   'grade via biopsy'
      acid   =   'serum acid phosphatase'
      node   =   'lymph nodes affected'
      obs    =   'observation number';
run;
 
proc print;
run;


title2 'Logistic regression with main effects';
proc logistic descending;
   model node= xray acid stage grade age / iplots;
   output out=logout p=p h=h c=c cbar=cbar reschi=reschi
      resdev=resdev difchisq=difchisq difdev=difdev
      dfbetas= _ALL_;  /*dfb0 dfbxray dfbacid dfbstage dfbgrade dfbage;*/
run;
proc print data=logout;
run;

options nocenter;
proc print data=logout;
   var DFBETA_acid;
run;


data log2;
   set logout;
   obs=_N_;
run;
proc plot data=log2;
   plot c * obs;
   plot cbar* obs;
run;

quit;
