options pagesize=55 linesize=65; 
title1 'Superbowl XXXVIII';
data Superbowl;
   input team $ drive dist score;
   label
      team = 'N=Patriots, C=Panthers'
	  dist = 'distance to the goal line'
	  drive= 'drive number'
	  score= 'drive results in score or not' ;
datalines; 
N  1 48 0
N  2 62 0
N  3 49 0
N  4 68 0
N  5 76 0
N  6 20 1
N  7 77 1
N  8 75 0
N  9 90 0
N 10 71 1
N 11 73 0
N 12 68 1
N 13 60 1     (the game winning drive)
C  1 78 0
C  2 79 0
C  3 89 0
C  4 92 0
C  5 62 0
C  6 72 0
C  7 95 1
C  8 52 1
C  9 59 0
C 10 90 0
C 11 81 1
C 12 90 1
C 13 80 1
run;

proc print;  /* always do this */
run;

title2 'Logistic examination of drives';
proc logistic descending;
  class team;
  model score = drive team dist / iplots  ;
  output out=new  pred=p reschi=reschi;
run;

title2 'Fitted values, residuals from the model';
proc print data=new;
run;


