title1 'Sex discrimination in major symphony string sections?';

data raw;
input name $ 1-18 size mviolin fviolin mviola fviola
    mcello fcello mbass fbass;
datalines;
Chicago Symphony  68 14 20 10  4 10  1  9  0
LA Philharmonic   66 15 17  8  5 11  1  9  0
Cleveland Orch    65 16 17  7  5  9  2  9  0
NY Philharmonic   65 13 20  5  7  5  6  7  2
Philadelphia Orch 65 21 11  8  4  9  3  9  0
Cincinnati Symph  63 16 17  8  4  7  3  8  0
Boston Symphony   62 13 18  7  5  9  1  9  0
National Symphony 62 14 17  4  7  9  3  8  0
Baltimore Symph   58 18 10  6  6  5  5  8  0
run;

title2 'Raw data read in';
proc print;    /* Echo the raw data */
run;

title2 'Separate data lines for each instrument';
data string;   /* create a longer, more useful version */  
   set raw;   /* begin with the raw data */
   keep name size total instrument m f;  /* only keep these variables */
   instrument='violin';
   m=mviolin; f=fviolin; total= m+f; output;
   instrument='viola';
   m=mviola; f=fviola; total=m+f; output;
   instrument='cello';
   m=mcello; f=fcello; total=m+f; output;
   instrument='bass';
   m=mbass; f=fbass; total=m+f; output;
run;

proc print data=string;
run;

title2 'A suggested analysis';
proc logistic data=string;
   class name instrument;
   model f / total = instrument size / iplots ;
run;

