title1 'Test for toxoplasmosis in El Salvador';

data toxo;
   infile 'toxoplasmosis.txt';
   input positive tested rain @@;
   rain = rain/1000;
run;

proc print;
run;

proc logistic data=toxo;
   model positive / tested = rain / iplots;
      output out=logout p=p h=h c=c cbar=cbar reschi=reschi
      resdev=resdev difchisq=difchisq difdev=difdev
      dfbetas= _ALL_; 
run;
option nocenter;
title2 'Captured chisquared residuals';
proc print data=logout noobs;
var p reschi;
run;

proc plot data=logout;
   plot reschi * p;
run;

quit;
 
