
title1 'Wine prices by vintage and rating points';

data vino;
   infile 'C:\Documents and Settings\DZ\Desktop\Projects\Linear Models\Data\wine.dat';
   input points year price @@;
   if (year>10) then year=year-100;   /* fix the century problem */
   points = points -95;
   logp = log(price);
   age =  4 -year;
   loga = log(age);
   sqage = sqrt(age);
   label
      year = 'year less 2000';
run;
options nocenter;
proc print noobs data=vino;
  var loga logp;
run;

proc reg data=vino;
   model price = age;
run;
quit;
proc gplot data=vino;
  plot logp * age;
  plot logp * loga;
  plot logp * sqage;
run;
quit;

proc print;
run;

proc means;
run;

proc reg;
   model price = year points/ r ; 
   plot r.*p. ;;
run;

data vino2;
   set vino;
   if price>1000 then delete;
run;

proc reg data=vino2;
   model price = year points/ r ; 
   plot r.*p. ;;
run;

quit;




